Subject: Re: [AVTCORE] FW: New Version Notification for draft-rescorla-avtcore-6222bis-00.txt

From: Kevin Gross <[email-masked]>
Date: Sat, 12 Jan 2013 13:14:46 -0700

Sorry for the delay responding. I do think otherwise. (a) is fine because
OUI registration prevents collisions. (b) relies on statistics to prevent
collisions. There's not enough entropy in 48-bit number
to statistically prevent collisions in a larger population of participants.
See http://en.wikipedia.org/wiki/Birthday_problem. 96-bits is where things
are workable.

Kevin

On Sat, Dec 29, 2012 at 2:48 PM, Ali C. Begen (abegen) <[email-masked]>wrote:

> Kevin,
>
> -----Original Message-----
> From: "Ali C. Begen" <[email-masked]>
> Date: Monday, November 5, 2012 7:02 PM
> To: Kevin Gross <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Subject: Re: [AVTCORE] FW: New Version Notification for
> draft-rescorla-avtcore-6222bis-00.txt
>
> >>Second bullet point in section 4.2 Item (b): Proposes truncating our nice
> >>96-bit random CNAME to 48 bits. I think we have an unacceptable
> >>opportunity for duplication with this approach. This CNAME should
> >>probably use RFC 4648 in which case these CNAMEs
> >>take the same form as the per-session CNAMES but differ in the
> >>requirement to create once at software initialization. Is it necessary
> >>for the different types of CNAMEs to have different appearance?
> >
> >I don¹t think there is such a requirement and your suggestion makes sense.
>
> Thinking more about this, I think the current text is good. Item (a) uses
> 48-bit MAC addresses. So, even if we use truncating in item (b), its
> collision probability will not be any worse than item (a)'s. Note that
> both item (a) and (b) use 17-octet string representation whereas the
> per-session CNAME uses 16-octet string representation.
>
> Let me know if you think otherwise.
>
> -acbegen
>
>

---

From: "Art Allison" <[email-masked]>
Date: Tue, 15 Jan 2013 11:00:53 -0500

I share Kevin's view.

Art Allison 
Senior Director Advanced Engineering, Technology 
National Association of Broadcasters
1771 N Street NW
Washington, DC 20036
Phone  202 429 5418
Fax  202 775 4981 
www.nab.org <blocked::http://www.nab.org>  
Advocacy  Education  Innovation 

From: [email-masked] [mailto:[email-masked]] On Behalf Of Kevin Gross
Sent: Saturday, January 12, 2013 3:15 PM
To: Ali C. Begen (abegen)
Cc: [email-masked]
Subject: Re: [AVTCORE] FW: New Version Notification fordraft-rescorla-avtcore-6222bis-00.txt

Sorry for the delay responding. I do think otherwise. (a) is fine because OUI registration prevents collisions. (b) relies on statistics to prevent collisions. There's not enough entropy in 48-bit number to statistically prevent collisions in a larger population of participants. See http://en.wikipedia.org/wiki/Birthday_problem. 96-bits is where things are workable.

Kevin

On Sat, Dec 29, 2012 at 2:48 PM, Ali C. Begen (abegen) <[email-masked]> wrote:

Kevin,

-----Original Message-----
From: "Ali C. Begen" <[email-masked]>
Date: Monday, November 5, 2012 7:02 PM
To: Kevin Gross <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [AVTCORE] FW: New Version Notification for

-acbegen